Mandate status change notification

Sent to the notification URL provided during mandate creation.

TypeDescription
mandate_requestedMandate has been proposed to the payer
mandate_authorisedPayer authorised the mandate
mandate_declinedPayer declined the mandate
mandate_authorisation_abandonedMandate authorisation timed out
mandate_suspendedMandate was suspended
mandate_releasedSuspended mandate released back to ACTIVE
mandate_cancelledACTIVE or SUSPENDED mandate was cancelled
mandate_expiredMandate reached end of validity
mandate_consumedONE_OFF mandate was consumed
mandate_failedMandate processing failed

Header Parameters

Content-Type*string

Content type.

Default"application/json"
User-Agent*string

User agent.

Default"Volt/2.0"
X-Volt-Timed*integer

Timestamp of notification generation.

X-Volt-Signed*string

Notification signature.

X-Volt-Type*string

Type of mandate notification.

Value in"mandate_requested""mandate_authorised""mandate_declined""mandate_authorisation_abandoned""mandate_suspended""mandate_released""mandate_cancelled""mandate_expired""mandate_consumed""mandate_failed"

Request Body

application/json
  1. body

PayTo mandate details.

id*string

Mandate identifier.

Formatuuid
currency*"AUD"

Payment currency. ISO 4217 format (3 uppercase letters).

Value in"AUD"
system*"PAY_TO"
Value in"PAY_TO"
mode*ModeEnum

Mandate usage mode.

Value in"ONE_OFF""RECURRING"
purpose*"OTHER"

Purpose of the mandate.

Value in"OTHER"
mandateReference*string

Mandate reference provided by the partner (or generated by Volt).

internalReference*string|null
payer*

Payer (debtor) details.

beneficiary?

Beneficiary (creditor) details.

validity?

Mandate validity period. Dates are always returned in RFC3339 format (YYYY-MM-DDThh:mm:ss±hh:mm).

payTo?

PayTo-specific configuration.

status?

Mandate status.

mandateSetupFlow?

Mandate setup flow. Drives the authorisation process.

Response Body

OK

application/json
  1. response
Example Requests
POST/Mandate status change
Request Body
application/json
{  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",  "currency": "AUD",  "system": "PAY_TO",  "mode": "RECURRING",  "purpose": "OTHER",  "mandateReference": "T1Qwerty",  "internalReference": "H35X48Y4FWOD6G3S",  "payer": {    "reference": "JDOE-101",    "firstName": null,    "lastName": null,    "email": null,    "accountIdentifiers": {      "accountName": "John Doe",      "payId": "john@doe.com",      "payIdType": "EMAIL"    }  },  "beneficiary": {    "name": "Jane Doe"  },  "validity": {    "from": "2026-03-01 00:00:00",    "to": null  },  "payTo": {    "accountIdentifiers": {      "accountName": "John Doe",      "payId": "john@doe.com",      "payIdType": "EMAIL"    },    "limits": {      "periodic": {        "period": "MONTH",        "maxPaymentsCount": 3      },      "payment": {        "maxAmount": 70000      }    },    "description": "Coffee subscription #123123"  },  "device": {    "ip": "192.168.0.1",    "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X x.y; rv:42.0) Gecko/20100101 Firefox/42.0",    "fingerprint": "2aae6c35c94fcfb415dbe95f408b9ce91ee846ed"  },  "status": {    "status": "AWAITING_AUTHORISATION",    "details": null  },  "mandateSetupFlow": {    "status": "PROCESSING"  }}
Header Parameters
{  "Content-Type": "application/json",  "User-Agent": "Volt/2.0",  "X-Volt-Timed": 0,  "X-Volt-Signed": "string",  "X-Volt-Type": "mandate_requested"}